Package org.springframework.security.config.method

# Class MethodSecurityBeanDefinitionParser

java.lang.Object
org.springframework.security.config.method.MethodSecurityBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class MethodSecurityBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Processes the top-level "method-security" element.

Since:
  5.6

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`MethodSecurityBeanDefinitionParser.Jsr250AuthorizationMethodInterceptor`
`static final class`
`MethodSecurityBeanDefinitionParser.MethodSecurityExpressionHandlerBean`
`static final class`
`MethodSecurityBeanDefinitionParser.PostAuthorizeAuthorizationMethodInterceptor`
`static final class`
`MethodSecurityBeanDefinitionParser.PreAuthorizeAuthorizationMethodInterceptor`
`static final class`
`MethodSecurityBeanDefinitionParser.SecuredAuthorizationMethodInterceptor`

## Constructor Summary

Constructors
Constructor
Description
`MethodSecurityBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodSecurityBeanDefinitionParser

public MethodSecurityBeanDefinitionParser()

## Method Details

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`